Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Class QConverterSupport

    java.lang.Object
      |
      +--com.jxml.quick.QConverterSupport

All Implemented Interfaces:
  Item, QConverter

Direct Known Subclasses:
  OCMpeerSupport, QGBase

public class QConverterSupport
extends Object
implements QConverter, Item

Helper class for QConverter. When building a conversion tree for transforming data models, the classes of all the nodes in the tree can subclass QConverterSupport.

Field Summary
`AttributeListImpl` | `al`
`DocumentHandler` | `destination`
`String` | `PUBLIC`
`String` | `rootTag`
`String` | `SYSTEM`

Constructor Summary
`QConverterSupport()`

Method Summary
`void` | `addBase64Attribute(String name, byte[] value)` Generate an attribute.
`void` | `addBase64Content(byte[] value)` Add text to the content of the current element.
`void` | `addBigDecimalAttribute(String name, BigDecimal value)` Generate an attribute.
`void` | `addBigDecimalContent(BigDecimal value)` Add text to the content of the current element.
`void` | `addBooleanAttribute(String name, boolean value)` Generate an attribute.
`void` | `addBooleanAttribute(String name, Boolean value)` Generate an attribute.
`void` | `addBooleanContent(boolean value)` Add text to the content of the current element.
`void` | `addBooleanContent(Boolean value)` Add text to the content of the current element.
`void` | `addByteAttribute(String name, byte value)` Generate an attribute.
`void` | `addByteAttribute(String name, Byte value)` Generate an attribute.
`void` | `addByteContent(byte value)` Add text to the content of the current element.
`void` | `addByteContent(Byte value)` Add text to the content of the current element.
`void` | `addCharAttribute(String name, char value)` Generate an attribute.
`void` | `addCharAttribute(String name, Character value)` Generate an attribute.
`void` | `addCharContent(char value)` Add text to the content of the current element.
`void` | `addCharContent(Character value)` Add text to the content of the current element.
`void` | `addDoubleAttribute(String name, double value)` Generate an attribute.
`void` | `addDoubleAttribute(String name, Double value)` Generate an attribute.
`void` | `addDoubleContent(double value)` Add text to the content of the current element.
`void` | `addDoubleContent(Double value)` Add text to the content of the current element.
`void` | `addFloatAttribute(String name, float value)` Generate an attribute.
`void` | `addFloatAttribute(String name, Float value)` Generate an attribute.
`void` | `addFloatContent(float value)` Add text to the content of the current element.
`void` | `addFloatContent(Float value)` Add text to the content of the current element.
`void` | `addIntAttribute(String name, int value)` Generate an attribute.
`void` | `addIntAttribute(String name, Integer value)` Generate an attribute.
`void` | `addIntContent(int value)` Add text to the content of the current element.
`void` | `addIntContent(Integer value)` Add text to the content of the current element.
`void` | `addLongAttribute(String name, long value)` Generate an attribute.
`void` | `addLongAttribute(String name, Long value)` Generate an attribute.
`void` | `addLongContent(long value)` Add text to the content of the current element.
`void` | `addLongContent(Long value)` Add text to the content of the current element.
`void` | `addShortAttribute(String name, short value)` Generate an attribute.
`void` | `addShortAttribute(String name, Short value)` Generate an attribute.
`void` | `addShortContent(short value)` Add text to the content of the current element.
`void` | `addShortContent(Short value)` Add text to the content of the current element.
`void` | `addStringAttribute(String name, String value)` Generate an attribute.
`void` | `addStringContent(String value)` Add text to the content of the current element.
`void` | `addURLAttribute(String name, URL value)` Generate an attribute.
`void` | `addURLContent(URL value)` Add text to the content of the current element.
`void` | `emptyElement(String name)` Generate an start and end element events for an empty element.
`void` | `endElement(String name)` Generate an end element event.
`void` | `eval(DocumentHandler destination)` Generates a sequence of SAX events.
`void` | `eval(Map properties, List args, ClassLoader cl)` This method can be invoked by config. schema - Input schema URL or file schemaClass - Input schema class (prefered over schema) in - Document input URL or file out - Output file (Optional).
`void` | `evalRoot()` Generate element events.
`String` | `getPUBLIC()`
`String` | `getRootTag()`
`String` | `getSYSTEM()`
`static void` | `main(String[] args)` Converts from one markup language to another: arg[0] - Input schema URL or file arg[1] - Document input URL or file arg[2] - Output file (Optional).
`void` | `setDestination(DocumentHandler destination)` Set the destination for the generated SAX events.
`void` | `startElement(String name)` Generate a start element event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### destination

    public DocumentHandler destination

### al

    public AttributeListImpl al

### SYSTEM

    public String SYSTEM

### PUBLIC

    public String PUBLIC

### rootTag

    public String rootTag

Constructor Detail

### QConverterSupport

    public QConverterSupport()

Method Detail

### main

    public static void main(String[] args)

  Converts from one markup language to another:
  arg[0] - Input schema URL or file
  arg[1] - Document input URL or file
  arg[2] - Output file (Optional).

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  This method can be invoked by config.
  schema - Input schema URL or file
  schemaClass - Input schema class (prefered over schema)
  in - Document input URL or file
  out - Output file (Optional).
  Specified by:
    `eval` in interface `Item`

### setDestination

    public void setDestination(DocumentHandler destination)

  Set the destination for the generated SAX events. Called by eval for the root node, but must be called by application logic for all other nodes before generating any events.
  Parameters:
    `destination` - Destination for all generated SAX events.

### eval

    public void eval(DocumentHandler destination)
              throws SAXException,
                     IOException

  Generates a sequence of SAX events. Called by Quick.convert and Quick.express for the root node.
  Specified by:
    `eval` in interface `QConverter`
  Parameters:
    `destination` - Destination for all generated SAX events.

### evalRoot

    public void evalRoot()
                  throws SAXException,
                         IOException

  Generate element events. Called by the eval method on the root object. Must be overridden by application logic on the root object.

### addStringAttribute

    public void addStringAttribute(String name,
                                   String value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addBooleanAttribute

    public void addBooleanAttribute(String name,
                                    Boolean value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addBooleanAttribute

    public void addBooleanAttribute(String name,
                                    boolean value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addIntAttribute

    public void addIntAttribute(String name,
                                Integer value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addIntAttribute

    public void addIntAttribute(String name,
                                int value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addLongAttribute

    public void addLongAttribute(String name,
                                 Long value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addLongAttribute

    public void addLongAttribute(String name,
                                 long value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addShortAttribute

    public void addShortAttribute(String name,
                                  Short value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addShortAttribute

    public void addShortAttribute(String name,
                                  short value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addFloatAttribute

    public void addFloatAttribute(String name,
                                  Float value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addFloatAttribute

    public void addFloatAttribute(String name,
                                  float value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addByteAttribute

    public void addByteAttribute(String name,
                                 Byte value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addByteAttribute

    public void addByteAttribute(String name,
                                 byte value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addDoubleAttribute

    public void addDoubleAttribute(String name,
                                   Double value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addDoubleAttribute

    public void addDoubleAttribute(String name,
                                   double value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addURLAttribute

    public void addURLAttribute(String name,
                                URL value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addBase64Attribute

    public void addBase64Attribute(String name,
                                   byte[] value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addCharAttribute

    public void addCharAttribute(String name,
                                 Character value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addCharAttribute

    public void addCharAttribute(String name,
                                 char value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### addBigDecimalAttribute

    public void addBigDecimalAttribute(String name,
                                       BigDecimal value)

  Generate an attribute. The attribute will be attached to the next start element event.
  Parameters:
    `name` - The attribute's name
    `value` - The attribute's value

### startElement

    public void startElement(String name)
                      throws SAXException

  Generate a start element event.
  Parameters:
    `name` - The element's tag name.

### addStringContent

    public void addStringContent(String value)
                          throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addBooleanContent

    public void addBooleanContent(Boolean value)
                           throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addBooleanContent

    public void addBooleanContent(boolean value)
                           throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addIntContent

    public void addIntContent(Integer value)
                       throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addIntContent

    public void addIntContent(int value)
                       throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addLongContent

    public void addLongContent(Long value)
                        throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addLongContent

    public void addLongContent(long value)
                        throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addShortContent

    public void addShortContent(Short value)
                         throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addShortContent

    public void addShortContent(short value)
                         throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addFloatContent

    public void addFloatContent(Float value)
                         throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addFloatContent

    public void addFloatContent(float value)
                         throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addByteContent

    public void addByteContent(Byte value)
                        throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addByteContent

    public void addByteContent(byte value)
                        throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addDoubleContent

    public void addDoubleContent(Double value)
                          throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addDoubleContent

    public void addDoubleContent(double value)
                          throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addURLContent

    public void addURLContent(URL value)
                       throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addBase64Content

    public void addBase64Content(byte[] value)
                          throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addCharContent

    public void addCharContent(Character value)
                        throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addCharContent

    public void addCharContent(char value)
                        throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### addBigDecimalContent

    public void addBigDecimalContent(BigDecimal value)
                              throws SAXException

  Add text to the content of the current element. Must be called between startElement and endElement.
  Parameters:
    `value` - Text to be added to the element's content.

### endElement

    public void endElement(String name)
                    throws SAXException

  Generate an end element event. Must be called only after the startElement for the same tag name.
  Parameters:
    `name` - The element's tag name.

### emptyElement

    public void emptyElement(String name)
                      throws SAXException

  Generate an start and end element events for an empty element.
  Parameters:
    `name` - The element's tag name.

### getPUBLIC

    public String getPUBLIC()
                     throws SAXException,
                            IOException

  Specified by:
    `getPUBLIC` in interface `QConverter`

### getSYSTEM

    public String getSYSTEM()
                     throws SAXException,
                            IOException

  Specified by:
    `getSYSTEM` in interface `QConverter`

### getRootTag

    public String getRootTag()
                      throws SAXException,
                             IOException

  Specified by:
    `getRootTag` in interface `QConverter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD